#IncludeRegexLine: ^[ 	]*[#%][ 	]*(include|import)[ 	]*[<"]([^">]+)([">])

#IncludeRegexScan: ^.*$

#IncludeRegexComplain: ^$

#IncludeRegexTransform: 

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/basic_impl.hpp
impl/basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/config/configuration.hpp
../util/json.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/util/json.hpp
fstream
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs.hpp
graphs/basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/basic.hpp
graphs/bipartite.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/bipartite.hpp
graphs/snarks.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/snarks.hpp
graphs/stored_graphs.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/stored_graphs.hpp
graphs/cpg.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/cpg.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/basic.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/bipartite.hpp
basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/basic.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/cpg.hpp
array
-
basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/basic.hpp
../operations/add_graph.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/add_graph.hpp
../structures/permutation.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/structures/permutation.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/snarks.hpp
basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/basic.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/stored_graphs.hpp
cassert
-
climits
-
filesystem
-
fstream
-
iomanip
-
map
-
memory
-
sstream
-
string
-
vector
-
../config/configuration.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/config/configuration.hpp
../io/graph6.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/io/graph6.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic.hpp
basic/include.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/include.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp
classes.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/classes.h
utility
-
functional
-
vector
-
set
-
stdio.h
-
cassert
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/classes.h
type_traits
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/factory.cpp
factory.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/factory.h
algorithm
-
iterator
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/factory.h
classes.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/classes.h
mapping.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/mapping.hpp
vector
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/factory_functions.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/graph.cpp
graph.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/graph.h
helpers.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/helpers.hpp
rotation_predicates.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation_predicates.hpp
incidence_predicates.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence_predicates.hpp
algorithm
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/graph.h
basic_objects.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp
incidence.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence.h
rotation.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation.h
map
-
utility
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/helpers.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence.cpp
graph.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/graph.h
incidence_predicates.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence_predicates.hpp
algorithm
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence.h
basic_objects.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence_predicates.hpp
basic_objects.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp
incidence.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence.h
rotation.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation.h

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/include.hpp
basic_objects.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp
graph.cpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/graph.cpp
rotation.cpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation.cpp
incidence.cpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence.cpp
factory.cpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/factory.cpp
labelings.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/labelings.hpp
incidence_predicates.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence_predicates.hpp
rotation_predicates.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation_predicates.hpp
factory_functions.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/factory_functions.hpp
mapping.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/mapping.hpp
mappers.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/mappers.hpp
helpers.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/helpers.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/labelings.hpp
basic_objects.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp
graph.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/graph.h
map
-
iterator
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/mappers.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/mapping.hpp
map
-
iterator
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation.cpp
graph.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/graph.h
incidence_predicates.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence_predicates.hpp
algorithm
-
set
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation.h
basic_objects.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp
type_traits
-
vector
-
set
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation_predicates.hpp
basic_objects.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/basic_objects.hpp
incidence.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/incidence.h
rotation.h
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/impl/basic/rotation.h

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants.hpp
invariants/colouring.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/colouring.hpp
invariants/connectivity.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/connectivity.hpp
invariants/degree.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/degree.hpp
invariants/distance.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/distance.hpp
invariants/girth.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/girth.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/colouring.hpp
degree.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/degree.hpp
../operations/simplification.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/simplification.hpp
../operations/line_graph.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/line_graph.hpp
../operations/basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/basic.hpp
iostream
-
set
-
unordered_set
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/connectivity.hpp
distance.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/distance.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/degree.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/distance.hpp
cassert
-
climits
-
queue
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/invariants/girth.hpp
queue
-
iostream
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/io/graph6.hpp
../graphs/basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/basic.hpp
../operations/copies.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/copies.hpp
climits
-
exception
-
fstream
-
sstream
-
string
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/io/print_nice.hpp
iostream
-
set
-
sstream
-
string
-
unordered_set
-
vector
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/add_graph.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/basic.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/copies.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/line_graph.hpp
vector
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/simplification.hpp
basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/operations/basic.hpp

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/random/random_graphs.hpp
../graphs/basic.hpp
C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/graphs/basic.hpp
cstdlib
-
iostream
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/structures/permutation.hpp
array
-
initializer_list
-
ostream
-
numeric
-

C:/Users/Karol/ClionProjects/BAgraph/BAgraph/include/util/json.hpp
algorithm
-
cassert
-
ciso646
-
cstddef
-
functional
-
initializer_list
-
iosfwd
-
iterator
-
numeric
-
string
-
utility
-
cstdint
-
map
-
memory
-
string
-
vector
-
ciso646
-
cstddef
-
type_traits
-
ciso646
-
limits
-
type_traits
-
utility
-
type_traits
-
exception
-
stdexcept
-
string
-
array
-
ciso646
-
cstddef
-
cstdint
-
algorithm
-
array
-
ciso646
-
forward_list
-
iterator
-
map
-
string
-
tuple
-
type_traits
-
unordered_map
-
utility
-
valarray
-
ciso646
-
iterator
-
tuple
-
type_traits
-
utility
-
valarray
-
vector
-
cstddef
-
string
-
iterator
-
cassert
-
cstddef
-
cstring
-
istream
-
iterator
-
memory
-
numeric
-
string
-
type_traits
-
utility
-
clocale
-
cstddef
-
cstdlib
-
cstdio
-
initializer_list
-
string
-
vector
-
cassert
-
cmath
-
cstdint
-
functional
-
string
-
utility
-
cstdint
-
utility
-
cstddef
-
string
-
vector
-
cstddef
-
limits
-
ciso646
-
iterator
-
type_traits
-
cstddef
-
iterator
-
utility
-
algorithm
-
cstddef
-
ios
-
iterator
-
memory
-
ostream
-
string
-
vector
-
algorithm
-
array
-
cassert
-
cmath
-
cstddef
-
cstdint
-
cstdio
-
cstring
-
iterator
-
limits
-
string
-
utility
-
algorithm
-
array
-
cstdint
-
cstring
-
limits
-
algorithm
-
array
-
cassert
-
ciso646
-
clocale
-
cmath
-
cstddef
-
cstdint
-
cstdio
-
limits
-
string
-
type_traits
-
cassert
-
ciso646
-
cmath
-
cstdint
-
cstring
-
initializer_list
-
utility
-
cassert
-
numeric
-
string
-
vector
-
utility
-

C:/Users/Karol/ClionProjects/Bachelor/main.cpp
set
-
iostream
-
basic_impl.hpp
C:/Users/Karol/ClionProjects/Bachelor/basic_impl.hpp
io/print_nice.hpp
C:/Users/Karol/ClionProjects/Bachelor/io/print_nice.hpp
invariants.hpp
-
oneHelpfulSet.cpp
C:/Users/Karol/ClionProjects/Bachelor/oneHelpfulSet.cpp

C:/Users/Karol/ClionProjects/Bachelor/oneHelpfulSet.cpp
basic_impl.hpp
C:/Users/Karol/ClionProjects/Bachelor/basic_impl.hpp
redBlackEdges.cpp
C:/Users/Karol/ClionProjects/Bachelor/redBlackEdges.cpp
algorithm
-
unordered_set
-

C:/Users/Karol/ClionProjects/Bachelor/redBlackEdges.cpp
vector
-
basic_impl.hpp
C:/Users/Karol/ClionProjects/Bachelor/basic_impl.hpp
assert.h
-
algorithm
-
redBlackEdges.h
C:/Users/Karol/ClionProjects/Bachelor/redBlackEdges.h
iostream
-

C:/Users/Karol/ClionProjects/Bachelor/redBlackEdges.h
set
-
impl/basic.hpp
C:/Users/Karol/ClionProjects/Bachelor/impl/basic.hpp

C:/Users/Karol/ClionProjects/Bachelor/tests/test_redBlackEdges.cpp
cassert
-
basic_impl.hpp
-
graphs.hpp
-
io/graph6.hpp
-
operations/basic.hpp
-
iostream
-
../redBlackEdges.cpp
C:/Users/Karol/ClionProjects/Bachelor/redBlackEdges.cpp
io/print_nice.hpp
C:/Users/Karol/ClionProjects/Bachelor/tests/io/print_nice.hpp
random/random_graphs.hpp
C:/Users/Karol/ClionProjects/Bachelor/tests/random/random_graphs.hpp

